import 'dart:async';

import 'package:bolter/bolter.dart';
import 'package:bolter_flutter/bolter_flutter.dart';
import 'package:bolter_flutter/src/presenter/loading.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:provider/single_child_widget.dart';

part 'presenter/presenter.dart';
part 'presenter/presenter_provider.dart';

class _BolterProvider extends InheritedWidget {
  _BolterProvider({
    UseCaseContainer useCaseContainer,
    Key key,
    Widget child,
  })  : _useCaseContainer = useCaseContainer,
        super(key: key, child: child);

  final UseCaseContainer _useCaseContainer;
  final _bolter = Bolter();

  static _BolterProvider of(BuildContext context) =>
      context.dependOnInheritedWidgetOfExactType(aspect: _BolterProvider);

  @override
  bool updateShouldNotify(_BolterProvider oldWidget) => false;
}
